## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathEnvSupportDefault::NamespaceFunctionTableDeleteFunctor Struct Reference

List of all members.

## Public Types

- typedef FunctionTableType FunctionTableInnerType
- typedef NamespaceFunctionTablesType NamespaceFunctionTablesInnerType

## Public Member Functions

- NamespaceFunctionTableDeleteFunctor (MemoryManagerType &theManager)
- void operator() (const NamespaceFunctionTablesInnerType::value_type &thePair) const
    Delete the value object in a map value pair.

## Member Typedef Documentation

typedef FunctionTableType XPathEnvSupportDefault::NamespaceFunctionTableDeleteFunctor::FunctionTableInnerType

typedef NamespaceFunctionTablesType XPathEnvSupportDefault::NamespaceFunctionTableDeleteFunctor::NamespaceFunctionTablesInnerType

## Constructor & Destructor Documentation

XPathEnvSupportDefault::NamespaceFunctionTableDeleteFunctor::NamespaceFunctionTableDeleteFunctor | ( | MemoryManagerType & | theManager | ) |

## Member Function Documentation

void XPathEnvSupportDefault::NamespaceFunctionTableDeleteFunctor::operator() | ( | const NamespaceFunctionTablesInnerType::value_type & | thePair | ) | const

  | Delete the value object in a map value pair. The value of the pair must be of pointer type. Parameters:
  thePair | key-value pair

The documentation for this struct was generated from the following file:

- XPathEnvSupportDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.